# osg::IndexArray Class Reference

Inheritance diagram for osg::IndexArray:

[legend]
List of all members.

## Public Member Functions

| IndexArray (Type arrayType=ArrayType, GLint dataSize=0, GLenum dataType=0)
| IndexArray (const Array &array, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual bool | isSameKindAs (const Object *obj) const
virtual unsigned int | index (unsigned int pos) const =0

## Protected Member Functions

virtual | ~IndexArray ()

## Constructor & Destructor Documentation

osg::IndexArray::IndexArray | ( | Type | arrayType = `ArrayType`,
|  | GLint | dataSize = `0`,
|  | GLenum | dataType = `0`
| ) | `[inline]`

osg::IndexArray::IndexArray | ( | const Array & | array,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

virtual osg::IndexArray::~IndexArray | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual unsigned int osg::IndexArray::index | ( | unsigned int | pos | ) | const`[pure virtual]`

| Implemented in osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >.

virtual bool osg::IndexArray::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::Array.

The documentation for this class was generated from the following file:

- Array